package modules;

import com.google.inject.AbstractModule;
import se.su.dsv.scipro.file.*;

public class FileModule extends AbstractModule {
    @Override
    protected void configure() {
        bind(FileDescriptionService.class).to(FileDescriptionServiceImpl.class);
        bind(ProjectFileService.class).to(ProjectFileServiceImpl.class);
        bind(ProjectFileRepository.class).to(ProjectFileRepositoryImpl.class);
    }
}
