package se.su.dsv.scipro.file;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import se.su.dsv.scipro.project.Project;

import java.util.Collection;
import java.util.List;

public interface ProjectFileRepository extends JpaRepository<ProjectFile, Long>, QueryDslPredicateExecutor<ProjectFile> {
    List<ProjectFile> latestUpload(Project project, int amount);

    Collection<ProjectFile> getProjectFiles(Project project, Pageable pageable);

    long countProjectFiles(Project project);
}
