package se.su.dsv.scipro.grading;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.EqualsAndHashCode;
import lombok.Value;

import java.util.Date;

@Value
@EqualsAndHashCode(callSuper = false)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Proposal extends Result {
    @JsonProperty("grade")
    private final String letter;

    @JsonProperty("reported")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    private final Date reported;
}
