package se.su.dsv.scipro.peer;

import scala.Option;
import se.su.dsv.scipro.file.FileUpload;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

import java.util.Optional;

public interface PerformReviewService {
    Option<PeerReview> getInProgressReview(User peerReviewer, Project project);
    PeerReview save(PeerReview peerReview);
    void submit(PeerReview peerReview, Optional<FileUpload> upload);
}
