package se.su.dsv.scipro.plagiarism.urkund;

import java.util.function.Function;

interface UrkundResponse {
    <X> X fold(Function<ErrorInfo, X> ifError,Function<SubmissionInfo, X> ifSubmission);

    default String getUserFriendlyMessage() {
        return fold(ErrorInfo::getUserFriendlyMessage, si -> si.getStatus().getUserFriendlyMessage());
    }
}
