package se.su.dsv.scipro.plagiarism.urkund;

import se.su.dsv.scipro.file.FileDescription;

import java.util.Collection;
import java.util.Optional;

public interface UrkundSubmissionRepository {
    Optional<UrkundSubmission> findByFile(FileDescription file);

    UrkundSubmission save(UrkundSubmission submission);

    Collection<UrkundSubmission> findNotDone();

    void delete(UrkundSubmission urkundSubmission);
}
