package se.su.dsv.scipro.user;

import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.session.SciProSession;

public class AdminUsersPage extends AbstractAdminUsersPage {
    public AdminUsersPage() {
        if (SciProSession.get().authorizedForRole(Roles.SYSADMIN)) {
            setResponsePage(AdminSwitchUserPage.class);
        }
        else {
            setResponsePage(AdminRolePage.class);
        }
    }
}
