package se.su.dsv.scipro.file;

import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.GenericService;

import java.util.Collection;
import java.util.List;

public interface ProjectFileService extends GenericService<ProjectFile, Long> {
    ProjectFile store(ProjectFileUpload projectFileUpload, final FileSource fileSource);

    List<ProjectFile> latestUpload(Project project, int amount);

    Collection<ProjectFile> getProjectFiles(Project project, Pageable pageable);

    long countProjectFiles(Project project);

    ProjectFile promote(FileDescription fileDescription, Project project, FileSource fileSource);
}
