package se.su.dsv.scipro.grading;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Value;

import java.util.List;

@Value
@JsonIgnoreProperties(ignoreUnknown = true)
public class Examination {
    @JsonProperty("id")
    private final int id;

    @JsonProperty("name")
    private final Name name;

    @JsonProperty("provkod")
    private final String provkod;

    @JsonProperty("grades")
    private final List<Grade> grades;
}
