package se.su.dsv.scipro.grading;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.Value;

@Value
public class Grade {
    enum Type { PASSING, CREDITED, FAILING }

    @JsonProperty("type")
    @JsonDeserialize(using = GradingTypeConverter.class)
    private final Type type;

    @JsonProperty("letter")
    private final String letter;
}
