package se.su.dsv.scipro.match;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.function.Function;

@Data
@EqualsAndHashCode(callSuper = false)
public final class OpenPeriod extends StudentPeriod implements Serializable {
    private final ApplicationPeriod applicationPeriod;

    @Override
    public <X> X fold(final Function<OpenPeriod, X> f, final Function<ExemptedPeriod, X> g) {
        return f.apply(this);
    }
}
