package se.su.dsv.scipro.oauth;

import lombok.Data;

import javax.persistence.*;

@Data
@Entity
@Table(name = "oauth_settings")
public class OAuthSettings {
    static final long ID = 341;

    @Id
    private long id = ID;

    @Basic
    private String uri;

    @Basic
    @Column(name = "redirect_uri")
    private String redirectUri;

    @Basic
    @Column(name = "client_id")
    private String clientId;

    @Basic
    @Column(name = "client_secret")
    private String clientSecret;
}
