package se.su.dsv.scipro.reviewing;

import se.su.dsv.scipro.file.FileUpload;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.util.Either;
import se.su.dsv.scipro.util.Option;

public interface ReviewerApprovalService<T extends ReviewerApproval> {
    Either<AlreadyRequested, T> requestApproval(Project project, FileUpload thesis, String comment);

    Option<T> findBy(Project project);

    boolean requiresUpload(Project project);
}
