package se.su.dsv.scipro.grading

import javax.inject.Provider
import javax.persistence.EntityManager

import com.querydsl.core.types.EntityPath
import com.querydsl.jpa.impl.JPAQuery

trait Count {

  val em: Provider[EntityManager]

  val path: EntityPath[_]

  private def from(paths: EntityPath[_]*): JPAQuery[_] = {
    new JPAQuery(em.get).from(paths:_*)
  }

  protected def createQuery: JPAQuery[_] = {
    from(path)
  }

  def count: Long = {
    createQuery.fetchCount()
  }
}
