package se.su.dsv.scipro;

import org.apache.wicket.Application;
import org.apache.wicket.DefaultExceptionMapper;
import org.apache.wicket.protocol.http.servlet.ResponseIOException;
import org.apache.wicket.request.IRequestHandler;
import org.apache.wicket.request.handler.EmptyRequestHandler;

class NotStupidExceptionMapper extends DefaultExceptionMapper {
    @Override
    protected IRequestHandler mapExpectedExceptions(final Exception e, final Application application) {
        if (e instanceof ResponseIOException) {
            // If it is an expected, and handled, error why the fuck is it
            // logged at error level?
            return new EmptyRequestHandler();
        }
        else {
            return super.mapExpectedExceptions(e, application);
        }
    }
}
