package se.su.dsv.scipro.user;

import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.security.auth.roles.Roles;

public class AdminUsersPageTest extends SciProTest {
    @Test
    public void sysadmins_default_to_switch_user() throws Exception {
        setRoles(Roles.SYSADMIN);
        tester.startPage(AdminUsersPage.class);
        tester.assertRenderedPage(AdminSwitchUserPage.class);
    }

    @Test
    public void admins_default_to_role_page() throws Exception {
        setRoles(Roles.ADMIN);
        tester.startPage(AdminUsersPage.class);
        tester.assertRenderedPage(AdminRolePage.class);
    }
}